
/*
void trackPlayTime() 
{
  int totalTime = SMF.getTickTime();
  
  elapsedTime = 0;
  int playback = (totalTime - (elapsedTime/120*2));
  Serial.println(playback);
  elapsedTime++;

  //elapsedTime = SMF.getElapsedTrackPlaybackTime();
  
  minutes = (int)elapsedTime / 60;
  seconds = (((float)elapsedTime / 60) - minutes) * 60;
  playback = totalTime - elapsedTime;
  minutesR = (int)playback / 60;
  secondsR = (((float)playback / 60) - minutesR) * 60;
  tft.setFont(SmallFont);
  tft.setColor(255, 255, 255);
  tft.printNumI(minutes, 8, 48);
  tft.print(":", 16, 48);
  tft.printNumI((int)seconds, 24, 48, 2, '0');
  tft.print("-", 276, 48);
  tft.printNumI(minutesR, 284, 48);
  tft.print(":", 292, 48);
  tft.printNumI((int)secondsR, 300, 48, 2, '0');
  int trackBarX = map(elapsedTime, 0, totalTime, 0, 353);
  tft.setColor(255, 0, 0);
  //tft.fillRect (48, 50, 48 + trackBarX, 50 + 8);
  tft.fillRect (11, 267, (playback/100), 5, DARKGREEN);
  tft.fillRect (11, 264, 353, 10, WHITE);
  //if (totalTime == elapsedTime) {
  //  mp3.nextTrack();
    
    
    
  //}
  
}

Rotary Encoder - Polling Example

The circuit:
* encoder pin A to Arduino pin 2
* encoder pin B to Arduino pin 3
* encoder ground pin to ground (GND)


#include <MD_REncoder.h>

// set up encoder object
MD_REncoder R = MD_REncoder(33, 31);

void setup() 
{
  Serial.begin(57600);
  R.begin();
  R.setPeriod(1000);
}

void loop() 
{
  uint8_t x = R.read();
  
  if (x) 
  {
    Serial.print(x == DIR_CCW ? "\nRechts" : "\n Links");
#if ENABLE_SPEED
    Serial.print("  ");
    Serial.print(x, HEX);
    Serial.print("  ");
    Serial.print(R.speed(), DEC);
#endif
  }
}


Serial.print(x == DIR_CW ? "\nRechts" : "\n Links"),
    Serial.print("  ");
    Serial.print(x, HEX);
    Serial.print("  ");
    Serial.print(z);

if (!digitalRead(pin))
  {
    readSpeed();
   
  }  


#include "Ticker.h"                                 //Zeitgesteuerte Funktionen (Intervall) https://github.com/sstaub/Ticker
#include "RunningMedian.h"                            //Mittelwert/Durchschnitt von Messergebnissen https://github.com/RobTillaart/Arduino/tree/master/libraries/RunningMedian
const byte BatPin = A7;

void getBattery();                                          //Funktionsdeklaration
Ticker timer1(getBattery, 5000);                      //Funktion alle X ms

RunningMedian median1 = RunningMedian(10); //Mittelwert mittels X Durchläufen ermitteln

void setup()
{
  Serial.begin(9600);                                 //Serieller Monitor PC
  pinMode(BatPin, INPUT_PULLUP);
  PulseStatus = false;
  timer1.start();                                     //Initialisierung timer1 - getBattery()
}

void loop()
{
  timer1.update();                                    //Intervall timer1 ermöglichen - getBattery()
}

void getBattery()
{
  int x = analogRead(BatPin);                                            //Rohwert (0-1023) über Analogpin auf Basis von 5V (=1023)
  median1.add(x);                                                            //Wert für Mittelwert setzen
  long m = median1.getMedian();                                       //Mittelwert ermitteln

Nachdem der Median ausgerechnet ist, oder der Wert ermittelt wurde, werden die Daten weiterverarbeitet:
  unsigned long BatValue = m * 100L;                               //Wert um hundert multiplizieren, Vorbereitung zur Umrechnung in float/double
  float BatVoltage1 = BatValue * 5 / 1024L;                       //Ermittelter multiplizierter Rohwert in Spannung umrechnen (inkl. 2 Nachkommastellen als Ganzzahl) 

Folgende 2 map()-Umwandlungen sind für unterschiedliche Weiterverarbeitung gedacht
  byte BatRate = map(BatVoltage1, 240, 420, 0, 100);       //Spannung in Prozent (2,40V=0%/4,20V=100%)
  byte BatRate1 = map(BatVoltage1, 350, 420, 0, 100);     //Spannung in Prozent (3,50V=0%/4,20V=100%)

  float BatVoltage = BatVoltage1 / 100.0;                          //Spannung in float 0.00 umwandeln

Ausgabe im Seriellen Monitor
  Serial.print(BatValue / 100);
  Serial.print("\t");
  Serial.print(BatVoltage1);
  Serial.print("\t");
  Serial.print(BatRate);
  Serial.print("\t");
  Serial.println(BatVoltage);
} 

//Analoge Spannungsmessung
#define PIN_TEST A0

#define REF_VOLTAGE 5.0
#define PIN_STEPS 1024.0

const float diodeVoltage = 0.538;  // forward voltage of the used diode in Volts
const float R1 = 99200.0;          // exact resistance of R1 (= 100 kOhm)
const float R2 =  9990.0;          // exact resistance of R2 (= 10 kOhm)

float vout = 0.0, vin = 0.0;
int rawValue = 0;

void setup()
{
    Serial.begin(9600);
    pinMode(PIN_TEST, INPUT);
}

void loop()
{
    rawValue = analogRead(PIN_TEST);
    vout = (rawValue * REF_VOLTAGE) / PIN_STEPS;
    vin = vout / (R2 / (R1 + R2));

    if (vin < 0.09) {
        vin = 0.0; // suppress noise
    } else {
        vin += diodeVoltage;
    }

    Serial.println("U = " + String(vin) + " V");
    delay(1000);
}

tft.fillRect(x * 20 + 1 , y * 20 + 41, 16, 16, colorBlock[z-downSet]);
    tft.drawRect(x * 20 , (y + 2) * 20 , 18, 18,  TFT_WHITE);

SoftwareReset:
    void(* resetFunc) (void) = 0; //Vorbereitung für SoftwareReset (Aufruf mit resetFunc();)
    resetFunc();
 */
