void midiCallback(midi_event * const pev)

{
if ((pev->data[0] >= 0x80) && (pev->data[0] <= 0xe0))
  {
    Serial1.write(pev->data[0] | pev->channel);
    Serial1.write(&pev->data[1], pev->size-1);
  }
  else
    Serial1.write(pev->data, pev->size);

#if DEBUG_ON
  DEBUG(F("\nMIDI T"));
  DEBUG(pev->track);
  DEBUG(F(":  Ch "));
  DEBUG(pev->channel + 1);
  DEBUG(F(" Data "));
  for (uint8_t i = 0; i < pev->size; i++)
  {
    DEBUGX(pev->data[i]);
    DEBUG(' ');
  }
#endif
    
}
