//------------------------------------------------------------------------------
//Abfrage der Button auf dem TFT
void read_button()
{
  tft.setFont();
  bool down = Touch_getXY();
  
  tune_btn.press(down && tune_btn.contains(pixel_x, pixel_y));
  midi_btn.press(down && midi_btn.contains(pixel_x, pixel_y));
  up_btn.press(down && up_btn.contains(pixel_x, pixel_y));
  down_btn.press(down && down_btn.contains(pixel_x, pixel_y));
  back_btn.press(down && back_btn.contains(pixel_x, pixel_y));
  stop_btn.press(down && stop_btn.contains(pixel_x, pixel_y));
  play_btn.press(down && play_btn.contains(pixel_x, pixel_y));
  pause_btn.press(down && pause_btn.contains(pixel_x, pixel_y));
  vwd_btn.press(down && vwd_btn.contains(pixel_x, pixel_y));

  if (tune_btn.justReleased())
    tune_btn.drawButton(true);
  if (midi_btn.justReleased())
    midi_btn.drawButton(true);
  if (up_btn.justReleased())
    up_btn.drawButton(true);
  if (down_btn.justReleased())
    down_btn.drawButton(true);
  if (back_btn.justReleased())
    back_btn.drawButton(true);
  if (stop_btn.justReleased())
    stop_btn.drawButton(true);
  if (play_btn.justReleased())
    play_btn.drawButton(true);
  if (pause_btn.justReleased())
    pause_btn.drawButton(true);
  if (vwd_btn.justReleased())
    vwd_btn.drawButton(true);

  if (tune_btn.justPressed()) {
    tune_btn.drawButton(false);
    z_tuner();
  }
  if (midi_btn.justPressed()) {
    midi_btn.drawButton(false);
    ext_midi();
  }
  if (up_btn.justPressed()) {
    up_btn.drawButton(false);
    lbl = '6';
  }
  if (down_btn.justPressed()) {
    down_btn.drawButton(false);
    lbl = '7';
  }
  if (back_btn.justPressed()) {
    back_btn.drawButton(false);
    lbl = '1';
  }
  if (stop_btn.justPressed()) {
    stop_btn.drawButton(false);
    digitalWrite(39, LOW);//12V über Pin .. ausschalten
    lbl = '2';
    
  } 
  if (play_btn.justPressed()) {
    play_btn.drawButton(false);
    digitalWrite(39, HIGH);//12V über Pin .. einschalten
    lbl = '3';
  }
  if (pause_btn.justPressed()) {
    pause_btn.drawButton(false);
    lbl = '4';
  }
  if (vwd_btn.justPressed()) {
    vwd_btn.drawButton(false);
    lbl = '5';
  }
  if (digitalRead(coin))//Start über Münzeinwurf
  {
    digitalWrite(39, HIGH);//12V über Pin .. einschalten
    lbl = '3';
    
  }
  return (lbl); //Rückgabewert der gedrückten Taste
}
