void getBattery()
{  int x = analogRead(BatPin);                                     //Rohwert (0-1023) über Analogpin auf Basis von 5V (=1023)
  median1.add(x);                                                 //Wert für Mittelwert setzen
  long m = median1.getMedian();                                   //Mittelwert ermitteln

  unsigned long BatValue = m * 100L;                              //Wert um hundert multiplizieren, Vorbereitung zur Umrechnung in float/double
  float BatVoltage1 = BatValue * 5 / 1024L;                       //Ermittelter multiplizierter Rohwert in Spannung umrechnen (inkl. 2 Nachkommastellen als Ganzzahl) 

  BatVoltage1 = constrain(BatVoltage1, 315, 420);
  byte BatRate = map(BatVoltage1, 315, 420, 0, 100);              //Spannung in Prozent (3,15V=0%/4,2V=100%)
  float BatVoltage = (BatVoltage1 / 100.0) *3;                    //Spannung in float 0.00 umwandeln

//Ausgabe auf Display in %
   char  sBuf[10];
    sprintf(sBuf, "%3d", BatRate);
    showmsgXY(305, 62, 1, NULL, "%", WHITE);
    showmsgXY(285, 62, 1, NULL, sBuf, WHITE);

//Ausgabe auf Display als Batteriesymbol  (noch in Unterprogramm implementieren)
int h = 313;//horizontale Verschiebung          //313
int v = 59;//vertikale Verschiebung             //59
    
    tft.drawRect(0+h , 0+v, 32, 14,  WHITE);    //Batteriekörper
    tft.drawRect(31+h , 3+v, 4, 8,  WHITE);     //Batteriepol

//Progressbar  experimentell
//trackPlayTime();
//--------------------------------------------------------  
//Balkenausgabe im Batteriesymbol    
if (BatRate >= 100) {
    tft.fillRect(2+h , 3+v, 4, 8, GREEN);  
    tft.fillRect(8+h , 3+v, 4, 8, GREEN);  
    tft.fillRect(14+h , 3+v, 4, 8, GREEN);  
    tft.fillRect(20+h , 3+v, 4, 8, GREEN);  
    tft.fillRect(26+h , 3+v, 4, 8, GREEN); 
} 
if (BatRate < 100 && BatRate >= 75){
    tft.fillRect(2+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(8+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(14+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(20+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(26+h , 3+v, 4, 8, BLACK);
}  
if (BatRate < 75 && BatRate >= 5){
    tft.fillRect(2+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(8+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(14+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(20+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(26+h , 3+v, 4, 8, BLACK);
} 
if (BatRate < 50 && BatRate >= 25){
    tft.fillRect(2+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(8+h , 3+v, 4, 8, WHITE);  
    tft.fillRect(14+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(20+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(26+h , 3+v, 4, 8, BLACK); 
}
if (BatRate < 25 && BatRate >= 1){
    tft.fillRect(2+h , 3+v, 4, 8, ORANGE);  
    tft.fillRect(8+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(14+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(20+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(26+h , 3+v, 4, 8, BLACK);
}
if (BatRate < 1){
    tft.fillRect(2+h , 3+v, 4, 8, RED); 
    tft.fillRect(8+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(14+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(20+h , 3+v, 4, 8, BLACK);  
    tft.fillRect(26+h , 3+v, 4, 8, BLACK);
}


    
  
  
  
/*        
//Ausgabe im Seriellen Monitor
  Serial.print(BatVoltage1 / 100);
  Serial.print("\t");
  Serial.print(BatRate);
  Serial.print("\t");
  Serial.println(BatVoltage);
*/  
}
