seq_state tftFSM(seq_state curSS)
// Handle selecting a file name from the list (read_button)
{
  
  static tft_state s = LSBegin;
  static uint8_t plIndex = 0;
  static SdFile plFile;  // play list file

  switch (s)
  {
  case LSBegin:
    
    
    if (!plFile.isOpen())
  {
     if (!plFile.open(PLAYLIST_FILE, O_READ))
     showmsgXY(20, 60, 2, NULL, "Fehler", WHITE);
    }
    
    s = LSShowFile;
    break;

  case LSShowFile:
    plFile.seekSet(FNAME_SIZE*plIndex);
    plFile.read(fname, FNAME_SIZE);

    showmsgXY(80, 130, 3, NULL, fname, WHITE);
    
    
    s = LSSelect;
    break;
  
  case LSSelect:
  
   if (lbl = '0')
    {
    read_button(); 
   
      switch (lbl)
        // Keys are mapped as follows:
        // Play:  move on to the next state in the state machine
        // Back:    use the previous file name (move back one file name)
        // VWD:   use the next file name (move forward one file name)
        // Up:      move to the first file name
        // Down:    move to the last file name
        {
      case '3': // Play (abspielen aktuelles Lied in Liste)
        curSS = MIDISeq;    // switch mode to playing MIDI in main loop
        s = LSBegin;        // reset for next time
        showmsgXY(15, 58, 2, NULL, "Play ", GREEN);
        showmsgXY(80, 235, 3, NULL, fname, YELLOW);
        callStatus1(); //Anzeige von Takt undTempo
        break;

      case '1': // Back (ein Lied zurück in Liste)
        if (plIndex != 0)
          plIndex--;
        s = LSShowFile;
        break;

      case '6': // Up (erstes Lied in Liste)
        plIndex = 0;
        s = LSShowFile;
        break;

      case '7': // Down (letztes Lied in Liste)
        plIndex = (plCount - 1);
        
        s = LSShowFile;
        break;

      case '5': // Vwd (ein Lied vor in Liste)
        if (plIndex != plCount - 1)
          plIndex++;
        s = LSShowFile;
        break;
      }
    }
    break;

  default:
    s = LSBegin;
    break;
  } 

  return(curSS);
}
