void tickMetronome(void)
// flash a "o" to the beat
{
  static uint32_t lastBeatTime = 0;
  static boolean  inBeat = false;
  uint16_t  beatTime;
  static int beatLed;
  static int beatCounter = 1;
   
  beatTime = 60000 / SMF.getTempo();  // msec/beat = ((60sec/min)*(1000 ms/sec))/(beats/min)
  if (!inBeat)
  {
    if ((millis() - lastBeatTime) >= beatTime)
    {
      lastBeatTime = millis();
      if (++beatCounter > (SMF.getTimeSignature() & 0xf))
        beatCounter = 1;
      beatLed = beatCounter == 1 ? BEAT_LED1 : BEAT_LED2;
     
      showmsgXY(455, 55, 2, NULL, "o", GREEN);
      
      inBeat = true;
    }
  }
  else
  {
    if ((millis() - lastBeatTime) >= 50) // keep the flash on for 50ms only
    {
      
      showmsgXY(455, 55, 2, NULL, "o", BLACK);
    
      inBeat = false;
    }
  }
  
}
